log_level: DEBUG

eo-plan-retry-delay-set: 10
eo-plan-max-tries: 100

dcmc-endpoint:
    listen_address: 0.0.0.0:6001

dcmc-client:
    #type: fake
    type: http
    config:
        remote_uri: http://192.168.1.181:80/catalyst/dcmcm/api/migration/request/
        authorization_header: "Bearer THIS-IS-NOT-A-REAL-TOKEN"

db-api-client:
    # type: fake
    type: file
    config:
        itload_path: ./itlb/client/mock-db-api/demo-vms.json
        servers_path: ./itlb/client/mock-db-api/demo-servers.json

ite-mapper:
    policy: fixed-by-cpu
    config:
        watts_per_cpu: 10

pricing-policy:
    policy: fixed
    config:
        per_cpu_hour: 1
        per_ram_mb_hour: 0.002
        per_disk_gb_hour: 0

slarc-client:
    #type: fake
    type: http
    config:
        remote_endpoint: http://192.168.1.198

vc-tag-mapper:
    #type: fake
    type: http
    config:
        remote_endpoint: http://192.168.1.109:5100

energy-optimiser:
    poller:
        period_sec: 10
    source:
        #type: 'EOPlanSourceOneFakeRelocate'
        type: 'EOPlanSourceHttpTrigger'
        config:

    # Example of http source configuration
    #source:
        #type: EOPlanSourceHttp
        #config:
            #notification_uri: http://127.0.0.1:8000/plan-notification.json
            #query_plan_uri: http://127.0.0.1:8000/plan.json

monitoring-endpoint:
    listen_address: 0.0.0.0:6003

eo-plan-registry:
    type: memory

# vim: set ft=yaml:
